const mongoose = require('mongoose')


const BankSchema = mongoose.Schema({
    holderName: String,
    PAN: {
        type: Number,
    },
    IBAN: {
        type: String,
    }
})

/// /////////////////////////////////////////////////////
const WithdrawSchema = mongoose.Schema({
    card: BankSchema,
    amount: {
        type: Number,
        min: 0
    },
    dollarAmount: {
        type: Number,
        min: 0
    },
    userId: {
        type: String,
        ref: 'UserGPS'
    },
    status: {
        type: Number,
        enum: [
            0, // Pending
            1, // Accepted
            2, // deposited
        ]
    },
    depositDate: Date,
    trackingNumber: String
})

module.exports = mongoose.model('Withdraw', WithdrawSchema)
